StarObjectText Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
StarObjectText Class Reference

the main class to read a StarOffice sdw file More...

`#include <StarObjectText.hxx>`

Inheritance diagram for StarObjectText:

## Public Member Functions
| StarObjectText (StarObject const &orig, bool duplicateState)
| constructor More...
virtual | ~StarObjectText ()
| destructor More...
bool | parse ()
bool | readSWContent (StarZone &zone)
| try to read some content : 'N' More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
void | cleanPools ()
| clean each pool More...
shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=0, bool isDirect=false)
| try to read a list of item More...

## Static Public Member Functions
static bool | readSWImageMap (StarZone &zone)
| try to read a image map zone : 'X' More...
static bool | readSWAttributeList (StarZone &zone, StarObject &doc)
| try to read a attribute list: 'S' More...

## Protected Member Functions
bool | readSwPageStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| the page style More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a text style zone: SfxStyleSheets More...
bool | readSwNumRuleList (STOFFInputStreamPtr input, std::string const &fileName)
| the rulers? More...
bool | readWriterDocument (STOFFInputStreamPtr input, std::string const &fileName)
| the main zone More...
bool | readDrawingLayer (STOFFInputStreamPtr input, std::string const &fileName)
| the drawing layers ? More...
bool | readSWBookmarkList (StarZone &zone)
| try a list of bookmark field : 'a' More...
bool | readSWDBName (StarZone &zone)
| try to read a DBName zone : 'D' More...
bool | readSWDictionary (StarZone &zone)
| try to read a dictionary table : 'j' More...
bool | readSWEndNoteInfo (StarZone &zone)
| try to read a endnode node : '4' More...
bool | readSWFootNoteInfo (StarZone &zone)
| try to read a footnode node : '1' More...
bool | readSWGraphNode (StarZone &zone)
| try to read a OLE node : 'g' More...
bool | readSWJobSetUp (StarZone &zone)
| try to read a SW zone setup : 'J' More...
bool | readSWLayoutInfo (StarZone &zone)
| try to read a layout information zone : 'Y' More...
bool | readSWLayoutSub (StarZone &zone)
| try to read a layout subinformation zone : 0xd2 or 0xd7 More...
bool | readSWMacroTable (StarZone &zone)
| try to read a macro table : 'M' (list of 'm') More...
bool | readSWNodeRedline (StarZone &zone)
| try to read a node redline : 'v' More...
bool | readSWNumRule (StarZone &zone, char kind)
| a simple rule : '0' or 'R' More...
bool | readSWOLENode (StarZone &zone)
| try to read a OLE node : 'O' More...
bool | readSWPageDef (StarZone &zone)
| try to read a list of page style : 'p' More...
bool | readSWRedlineList (StarZone &zone)
| try to read a list of redline : 'V' (list of 'R' list of 'D') More...
bool | readSWSection (StarZone &zone)
| try to read a section : 'I' More...
bool | readSWTable (StarZone &zone)
| try to read a table : 'E' More...
bool | readSWTableBox (StarZone &zone)
| try to read a table box : 't' More...
bool | readSWTableLine (StarZone &zone)
| try to read a table line : 'L' More...
bool | readSWTextZone (StarZone &zone)
| try to read some content : 'T' More...
bool | readSWTOXList (StarZone &zone)
| try to read a list of TOX : 'u' ( list of 'x') More...
bool | readSWTOX51List (StarZone &zone)
| try to read a list of TOX51 : 'y' ( list of 'x') More...
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Static Protected Member Functions
static bool | readSWAttribute (StarZone &zone, StarObject &doc)
| try to read an attribute: 'A' More...

## Protected Attributes
shared_ptr< StarObjectTextInternal::State > | m_textState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Private Member Functions
StarObjectText & | operator= (StarObjectText const &orig)

## Detailed Description

the main class to read a StarOffice sdw file

## Constructor & Destructor Documentation

StarObjectText::StarObjectText | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

StarObjectText::~StarObjectText | ( |  | ) |
| virtual

destructor

## Member Function Documentation

StarObjectText& StarObjectText::operator= | ( | StarObjectText const & | orig | ) |
| private

bool StarObjectText::parse | ( |  | ) |

Referenced by SDAParser::createZones(), SDCParser::createZones(), and SDWParser::createZones().

bool StarObjectText::readDrawingLayer | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

the drawing layers ?

Referenced by parse().

bool StarObjectText::readSfxStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a text style zone: SfxStyleSheets

Referenced by parse().

bool StarObjectText::readSWAttribute | ( | StarZone & | zone,
|  | StarObject & | doc
| ) |  |
| staticprotected

try to read an attribute: 'A'

Referenced by readSWAttributeList(), and readSWTextZone().

bool StarObjectText::readSWAttributeList | ( | StarZone & | zone,
|  | StarObject & | doc
| ) |  |
| static

try to read a attribute list: 'S'

Referenced by StarFormatManager::readSWFormatDef(), readSWGraphNode(), readSWPageDef(), and readSWTextZone().

bool StarObjectText::readSWBookmarkList | ( | StarZone & | zone | ) |
| protected

try a list of bookmark field : 'a'

Referenced by readSwPageStyleSheets(), and readWriterDocument().

bool StarObjectText::readSWContent | ( | StarZone & | zone | ) |

try to read some content : 'N'

Referenced by StarAttributeManager::readAttribute(), readSWTableBox(), and readWriterDocument().

bool StarObjectText::readSWDBName | ( | StarZone & | zone | ) |
| protected

try to read a DBName zone : 'D'

Referenced by readWriterDocument().

bool StarObjectText::readSWDictionary | ( | StarZone & | zone | ) |
| protected

try to read a dictionary table : 'j'

Referenced by readWriterDocument().

bool StarObjectText::readSWEndNoteInfo | ( | StarZone & | zone | ) |
| protected

try to read a endnode node : '4'

Referenced by readWriterDocument().

bool StarObjectText::readSWFootNoteInfo | ( | StarZone & | zone | ) |
| protected

try to read a footnode node : '1'

Referenced by readWriterDocument().

bool StarObjectText::readSWGraphNode | ( | StarZone & | zone | ) |
| protected

try to read a OLE node : 'g'

Referenced by readSWContent().

bool StarObjectText::readSWImageMap | ( | StarZone & | zone | ) |
| static

try to read a image map zone : 'X'

Referenced by StarAttributeManager::readAttribute(), and readSWGraphNode().

bool StarObjectText::readSWJobSetUp | ( | StarZone & | zone | ) |
| protected

try to read a SW zone setup : 'J'

Referenced by readWriterDocument().

bool StarObjectText::readSWLayoutInfo | ( | StarZone & | zone | ) |
| protected

try to read a layout information zone : 'Y'

Referenced by readWriterDocument().

bool StarObjectText::readSWLayoutSub | ( | StarZone & | zone | ) |
| protected

try to read a layout subinformation zone : 0xd2 or 0xd7

Referenced by readSWLayoutInfo().

bool StarObjectText::readSWMacroTable | ( | StarZone & | zone | ) |
| protected

try to read a macro table : 'M' (list of 'm')

Referenced by readWriterDocument().

bool StarObjectText::readSWNodeRedline | ( | StarZone & | zone | ) |
| protected

try to read a node redline : 'v'

Referenced by readSWContent(), readSWTable(), and readSWTextZone().

bool StarObjectText::readSWNumRule | ( | StarZone & | zone,
|  | char | kind
| ) |  |
| protected

a simple rule : '0' or 'R'

Referenced by readSwNumRuleList(), readSWTextZone(), and readWriterDocument().

bool StarObjectText::readSwNumRuleList | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

the rulers?

Referenced by parse().

bool StarObjectText::readSWOLENode | ( | StarZone & | zone | ) |
| protected

try to read a OLE node : 'O'

Referenced by readSWContent().

bool StarObjectText::readSWPageDef | ( | StarZone & | zone | ) |
| protected

try to read a list of page style : 'p'

Referenced by readSwPageStyleSheets().

bool StarObjectText::readSwPageStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

the page style

Referenced by parse().

bool StarObjectText::readSWRedlineList | ( | StarZone & | zone | ) |
| protected

try to read a list of redline : 'V' (list of 'R' list of 'D')

Referenced by readSwPageStyleSheets(), and readWriterDocument().

bool StarObjectText::readSWSection | ( | StarZone & | zone | ) |
| protected

try to read a section : 'I'

Referenced by readSWContent().

bool StarObjectText::readSWTable | ( | StarZone & | zone | ) |
| protected

try to read a table : 'E'

Referenced by readSWContent().

bool StarObjectText::readSWTableBox | ( | StarZone & | zone | ) |
| protected

try to read a table box : 't'

Referenced by readSWTableLine().

bool StarObjectText::readSWTableLine | ( | StarZone & | zone | ) |
| protected

try to read a table line : 'L'

Referenced by readSWTable(), and readSWTableBox().

bool StarObjectText::readSWTextZone | ( | StarZone & | zone | ) |
| protected

try to read some content : 'T'

Referenced by readSWContent().

bool StarObjectText::readSWTOX51List | ( | StarZone & | zone | ) |
| protected

try to read a list of TOX51 : 'y' ( list of 'x')

Referenced by readWriterDocument().

bool StarObjectText::readSWTOXList | ( | StarZone & | zone | ) |
| protected

try to read a list of TOX : 'u' ( list of 'x')

Referenced by readWriterDocument().

bool StarObjectText::readWriterDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

the main zone

Referenced by parse().

## Member Data Documentation

shared_ptr<StarObjectTextInternal::State> StarObjectText::m_textState
| protected

the state

The documentation for this class was generated from the following files:

- StarObjectText.hxx
- StarObjectText.cxx